Bug 181451

Summary: [NEW PORT] misc/auto-multiple-choice: Multiple Choice Questionnaires management with automated marking
Product: Ports & Packages Reporter: hiroto.kagotani
Component: Individual Port(s)Assignee: John Marino <marino>
Status: Closed FIXED    
Severity: Affects Only Me CC: adamw, cs, koobs, marino
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
auto-multiple-choice.shar
none
auto-multiple-choice-1.2.1.shar
none
auto-multiple-choice-1.2.1.shar2
none
shar file that passes pourdriere
none
log file generated by "poudriere testport -j 100amd64 -o misc/auto-multiple-choice"
none
portlink -AC output none

Description hiroto.kagotani 2013-08-21 10:30:00 UTC
Note: This PR supersedes ports/178783.

Auto Multiple Choice (AMC) is a piece of software that helps you to
create and manage multiple choice questionnaires, with automated
marking.  Tests can be written in plain text or LaTeX.  Automated
correction and grading is performed from scans of the answer sheets
using optical mark recognition.

WWW: http://home.gna.org/auto-qcm/

Generated with FreeBSD Port Tools 0.99_8 (mode: new)
Comment 1 hiroto.kagotani 2014-03-04 12:25:47 UTC
Here I attach an updated shar file for this new port.

Could anyone please confirm and create this port?
Since this port is mainly for school teachers and there is not a
good category for such applications, I chose "misc" category.

Thank you very much in advance.

Best Regards,

-- 
Hiroto Kagotani
<hiroto.kagotani@gmail.com>
Comment 2 hiroto.kagotani 2014-03-05 10:09:54 UTC
Sorry, I updated the shar file for refining STAGEDIR handling and
using CC/CXX variables.

Best Regards,

-- 
Hiroto Kagotani
<hiroto.kagotani@gmail.com>
Comment 3 John Marino freebsd_committer 2014-08-07 14:38:26 UTC
Hi, if you are still interested in having this port in FreeBSD, it may (or may not) need to be reworked to support stage, and it may need updating to other newer conventions such as "USES" which is expanding all time.
For staging, see http://lists.freebsd.org/pipermail/freebsd-ports-announce/2014-May/000080.html


Additionally, you need to provide some sort of quality assurance.    
In order of preference, we are looking for:

1) "poudriere testport" or "poudriere bulk -t" logs
2) Redports or tinderbox logs

Please provide an updated shar file and attach a test log.  Alternatively, please indicate if you are no longer interested in having this software in the Ports Collection and that we can close the PR.

Thanks!
Comment 4 Adam Weinberger freebsd_committer 2014-08-21 15:15:17 UTC
I advise that you follow John's suggestions. Your port does some odd stuff like defining USE_GCC twice. Moreover though, MAN* are not used in staged ports, so it won't package.

Please run this port through poudriere yourself or submit it to Redports. It'll help you catch any problems.

I'd also suggest considering deskutils as the category... just a thought.
Comment 5 John Marino freebsd_committer 2014-08-24 18:35:48 UTC
I apologize, but after 30 September I'm going to close all *unstaged* "new port" PRs, even if it is through no fault of the submitter.  If you are still interested in getting the port into tree, please provide an updated share and some build verification (poudriere logs, redports logs, or Porter's Handbook[1]).  If you do that, we'll fast-track the port into the tree.  I'm sorry about this.


"make check-plist" followed by "make stage-qa" output  (https://www.freebsd.org/doc/en/books/porters-handbook/porting-testing.html)
Comment 6 hiroto.kagotani 2014-09-02 04:15:29 UTC
Created attachment 146659 [details]
shar file that passes pourdriere
Comment 7 hiroto.kagotani 2014-09-02 04:16:40 UTC
Created attachment 146660 [details]
log file generated by "poudriere testport -j 100amd64 -o misc/auto-multiple-choice"
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-02 04:19:13 UTC
Thank you Hiroto!

Please also include `portlint -AC` output in a comment. 

If it's not already installed, you may find it in ports-mgmt/portlint.
Comment 9 hiroto.kagotani 2014-09-02 04:51:01 UTC
Created attachment 146664 [details]
portlink -AC output
Comment 10 hiroto.kagotani 2014-09-02 04:51:29 UTC
Thank you very much for advices.
I fixed some problems regarding staging and cleaned some files.

Though pourdriere finishes without any problem as in attached log file,
redports finishes with just "finished" (not "success") status:
https://redports.org/buildarchive/20140902033924-28903/

> finished
> The job was finished but the buildstatus could not be determined.
> This might be because of circular dependencies or because of
> redports internal problems.

Regards,
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-02 05:02:39 UTC
You're welcome, and it's good to have both (poudriere and redports logs). 

'Finished' can be a symptom of internal redports issues as well as port issues [1].

[1] https://redports.org/wiki/Buildstatus
Comment 12 Carlo Strub freebsd_committer 2014-09-06 07:55:45 UTC
Just one note: shouldn't this port go into the textproc category?
Comment 13 hiroto.kagotani 2014-09-07 08:22:29 UTC
The best matching category would be "education" if there were.
But, yes, it somewhat matches "textproc", "graphics" and "print".
I don't persist in "misc" category.
Thanks.
Comment 14 John Marino freebsd_committer 2014-09-20 07:26:40 UTC
If "education" is the best fit, then "misc/" is probably fine
Comment 15 John Marino freebsd_committer 2014-09-20 07:40:47 UTC
Quick review (I'll fix):

You are manually fixing perl scripts in post-install  This is what USES+=shebangfix is for.

Your use of post-install target is redundant, so I'll remove it.
Comment 16 John Marino freebsd_committer 2014-09-20 07:44:53 UTC
Also, the :U modifier in make is no longer used, it's called ":tu" now.
Comment 17 hiroto.kagotani 2014-09-20 08:00:43 UTC
Thanks.

I added the post-patch line because shebangfix did not process spaces between '#!' and '/usr/bin/perl' as expected when I tested.
Comment 18 John Marino freebsd_committer 2014-09-20 11:22:37 UTC
X.if !empty(TEX_DEFAULT:tu:MTETEX)
XRUN_DEPENDS+=	${LOCALBASE}/${TEXMFLOCALDIR}/tex/latex/bophook/bophook.sty:${PORTSDIR}/print/bophook
X.endif

The bophook port has been removed.  I guess I have to remove these 3 lines then?
Comment 19 commit-hook freebsd_committer 2014-09-20 13:42:07 UTC
A commit references this bug:

Author: marino
Date: Sat Sep 20 13:41:23 UTC 2014
New revision: 368639
URL: http://svnweb.freebsd.org/changeset/ports/368639

Log:
  Add new port misc/auto-multiple-choice

  PR:		181451
  Submitted by:	Hiroto Kagotani

  Auto Multiple Choice (AMC) is a piece of software that helps you to create
  and manage multiple choice questionnaires, with automated marking.  Tests
  can be written in plain text or LaTeX.  Automated correction and grading is
  performed from scans of the answer sheets using optical mark recognition.

Changes:
  head/misc/Makefile
  head/misc/auto-multiple-choice/
  head/misc/auto-multiple-choice/Makefile
  head/misc/auto-multiple-choice/distinfo
  head/misc/auto-multiple-choice/files/
  head/misc/auto-multiple-choice/files/patch-AMC-traitement-image.c
  head/misc/auto-multiple-choice/files/patch-Makefile
  head/misc/auto-multiple-choice/files/patch-Makefile.conf
  head/misc/auto-multiple-choice/pkg-descr
  head/misc/auto-multiple-choice/pkg-message
  head/misc/auto-multiple-choice/pkg-plist
Comment 20 John Marino freebsd_committer 2014-09-20 13:50:03 UTC
Okay, I removed that TEX stuff, it builds without out.  I also converted this to use PORTDOCS and defined the DOCS option.  I also trimmed some lines out of pkg-plist that were trying to remove directories that were installed by dependencies.

If the TEX stuff needs to be reworked, just submit a new PR.  I think the port is okay though.